﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.IO;

namespace Com.Piwigo.Uploader.Helper
{
    internal static class MainAppHelper
    {
        internal static void showdErrorMessageBox(ApplicationException aEx)
        {
            System.Windows.Forms.MessageBox.Show(aEx.Message, "Error", System.Windows.Forms.MessageBoxButtons.OK, System.Windows.Forms.MessageBoxIcon.Error);
        }


        #region thumb
        internal static string MakeThumb(FileInfo fi, String ext, int size)
        {
            // create an image object, using the filename we just retrieved
            System.Drawing.Image image = System.Drawing.Image.FromFile(fi.FullName);

            // create the actual thumbnail image
            System.Drawing.Image thumbnailImage = image.GetThumbnailImage(size, size, new System.Drawing.Image.GetThumbnailImageAbort(ThumbnailCallback), IntPtr.Zero);

            // make a memory stream to work with the image bytes
            FileStream imageStream = new FileStream(ext, FileMode.OpenOrCreate);

            // put the image into the memory stream
            thumbnailImage.Save(imageStream, System.Drawing.Imaging.ImageFormat.Jpeg);

            imageStream.Close();
            return ext;
        }

        /// <summary>
        /// Required, but not used
        /// </summary>
        /// <returns>true</returns>
        internal static bool ThumbnailCallback()
        {
            return true;
        }

        #endregion thumb
    }
}
