﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using Com.Piwigo.Lib.DTO;

namespace Com.Piwigo.Uploader.DTO
{
    public sealed class ModelManager
    {
         static readonly ModelManagerBase _instance = new ModelManagerBase();

        // Explicit static constructor to tell C# compiler
        // not to mark type as beforefieldinit
        static ModelManager()
        {
        }

        public static ModelManagerBase Instance
        {
            get
            {
                return _instance;
            }
        }

        public class ModelManagerBase 
        {
            public PwgSession sess { get; set; }
            public SelectedPwgCategoryList lstCat { get; set; }
            public Boolean isConnected { get; set; }
            public String directoryName { get; set; }
            public Uri serveurName { get; set; }
            public String userName { get; set; }
            public String password { get; set; }
        }
    }
}
