﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Com.Piwigo.Lib.IService;
using Com.Piwigo.Lib.DTO;

using Com.Piwigo.Uploader.DTO;

namespace Com.Piwigo.Uploader.Service
{
    public class Disconnect: IService 
    {          
        public void runService()
        {
            try
            {
                ModelManager.Instance.sess = PwgServiceProvider.Instance.PwgSessionService.Logout();
                System.Diagnostics.Debug.WriteLine("user : " + ModelManager.Instance.sess.UserName + " " + ModelManager.Instance.sess.Status);
            }
            catch (PwgServiceException ex)
            {
                System.Diagnostics.Debug.WriteLine(ex.Message);
                throw new ApplicationException("Erreur " + ex.NumeroErr + " " + ex.MessageErr);
            }
        }
    }
}
